
QGIS Application - Bug report #20105

Processing Toolkit Heatmap (Kernel Density Estimation) Gives Error "Could not create destination 

layer"

2018-10-14 04:59 PM - Konrad Lawson

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.2.3 Regression?: No

Operating System: OS X 10.13.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27927

Description

Using OS X High Sierra, QGIS 3.2.3, Python 3.6.5 and running Heatmap from the processing tool box on a layer projected in British

National Grid EPSG:7405 produces

Traceback (most recent call last):

  File "/Applications/QGIS3.app/Contents/MacOS/../Resources/python/plugins/processing/algs/qgis/Heatmap.py", line 215, in

processAlgorithm

  self.tr('Could not create destination layer'))

  _core.QgsProcessingException: Could not create destination layer

Execution failed after 0.03 seconds

This is true whether there is a temporary output file requested or an explicitely identified location for an output file in directory path with no

spaces.

History

#1 - 2018-10-14 10:32 PM - Nyall Dawson

- Status changed from Open to Feedback

It's likely a lack of space. Try with a larger pixel size or smaller radius.

#2 - 2018-12-24 09:17 AM - Alexander Bruy

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.
